API referenceWebhooks
Get a webhook endpoint
Fetches one webhook endpoint by id.
Authorization
bearerAuth AuthorizationBearer <token>
An uptimely_live_ project API key (Settings → API Keys).
In: header
Path Parameters
webhook_endpoint_id*string
Id of the webhook endpoint.
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/webhook-endpoints/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "string", "url": "string", "description": "string", "event_types": [ "monitor.status_changed" ], "enabled": true, "disabled_reason": "string", "consecutive_failures": 0, "secret_hint": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}